<template>
	<view :style="{ height: statusBarHeight + 'px' }" class="status-bar">
		<slot />
	</view>
</template>

<script>
	export default {
		name: 'CustomStatusBar',
		data() {
			return {
				statusBarHeight: 20
			}
		},
		mounted() {
			this.statusBarHeight = uni.getSystemInfoSync().statusBarHeight
			// #ifdef H5
			    this.statusBarHeight = 20
			// #endif
		}
	}
</script>

<style lang="scss" >
	.status-bar {
		// width: 750rpx;
		height: 20px;
		// height: var(--status-bar-height);
	}
</style>
